Index: ddd-3.3.12/acinclude.m4
===================================================================
--- ddd-3.3.12.orig/acinclude.m4	2009-02-11 09:25:09.000000000 -0800
+++ ddd-3.3.12/acinclude.m4	2012-08-08 11:35:19.000000000 -0700
@@ -2501,91 +2501,6 @@
 fi
 ])dnl
 dnl
-dnl
-dnl ICE_MOTIF_DIALOGS_OWN_SELECTION_LIST
-dnl ----------------------------------
-dnl
-AC_DEFUN([ICE_MOTIF_DIALOGS_OWN_SELECTION_LIST],
-[
-AC_CACHE_CHECK([whether Motif dialogs own the string table],
-[ice_cv_motif_dialogs_own_selection_list],
-[
-AC_REQUIRE([ICE_FIND_MOTIF])
-AC_LANG_PUSH(C++)
-AC_RUN_IFELSE([AC_LANG_SOURCE(
-[[
-#include <Xm/Xm.h>
-#include <Xm/SelectioB.h>
-#include <stdlib.h>
-#include <stdio.h>
-
-#ifdef XmFONTLIST_DEFAULT_TAG
-#define DEFAULT_CHARSET XmFONTLIST_DEFAULT_TAG
-#else
-#define DEFAULT_CHARSET XmSTRING_DEFAULT_CHARSET
-#endif
-
-extern "C" void free(void *p)
-{
-    static void *freed[100000];
-    static int freed_count = 0;
-
-    for (int i = 0; i < freed_count; i++)
-	if (freed[i] == p)
-	{
-	    fprintf(stderr, "%p already freed\n", p);
-	    exit(1);
-	}
-
-    freed[freed_count++] = p;
-}
-
-int main(int argc, char *argv[])
-{
-    XtAppContext app_context;
-    Widget toplevel = 
-	XtAppInitialize(&app_context, "Config",
-			XrmOptionDescList(0), 0, 
-			&argc, argv, (String *)0, ArgList(0), 0);
-
-    Widget dialog = 
-	XmCreateSelectionDialog(toplevel, "dialog", ArgList(0), 0);
-
-    int length = 10;
-
-    XmStringTable xmlist = 
-	XmStringTable(XtMalloc(length * sizeof(XmString)));
-    int i;
-    for (i = 0; i < length; i++)
-	xmlist[i] = XmStringCreateLtoR("abc", DEFAULT_CHARSET);
-
-    XtVaSetValues (dialog,
-		   XmNlistItems,     xmlist,
-		   XmNlistItemCount, length,
-		   XtPointer(0));
-
-    for (i = 0; i < length; i++)
-	XmStringFree(xmlist[i]);
-
-    XtFree((char *)xmlist);
-
-    XtDestroyWidget(toplevel);
-
-    exit(0);
-}
-]])],
-[ice_cv_motif_dialogs_own_selection_list=no],
-[ice_cv_motif_dialogs_own_selection_list=yes],
-[ice_cv_motif_dialogs_own_selection_list=yes])
-AC_LANG_POP(C++)
-])
-if test "$ice_cv_motif_dialogs_own_selection_list" = yes; then
-AC_DEFINE(MOTIF_DIALOGS_OWN_SELECTION_LIST,1,
-[Define if Motif selection dialogs `own' their selection list, i.e. it
-must not be freed after setting.])
-fi
-])dnl
-dnl
 dnl Check for perl version
 dnl
 AC_DEFUN([ICE_PROG_PERL_VERSION],[dnl
Index: ddd-3.3.12/configure.ac
===================================================================
--- ddd-3.3.12.orig/configure.ac	2011-12-03 09:39:09.000000000 -0800
+++ ddd-3.3.12/configure.ac	2012-08-08 11:35:54.000000000 -0700
@@ -718,7 +718,6 @@
 dnl
 dnl Check for Motif properties
 LIBS="$LIBS ${XM_LIBS} ${XMU_LIBS} ${XT_LIBS} ${XP_LIBS} ${XEXT_LIBS} ${X_PRE_LIBS} ${X11_LIBS} ${X_EXTRA_LIBS} ${LIBGEN}"
-ICE_MOTIF_DIALOGS_OWN_SELECTION_LIST
 dnl
 dnl
 dnl
